
%define namp	perl
%define nams1	ExtUtils
%define nams2	F77
%define name	%{namp}-%{nams1}_%{nams2}
%define version	1.14
%define release	%mkrel 103

Summary:	Simple interface to F77 libs
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://search.cpan.org/dist/ExtUtils-F77/
Source0:	http://www.perl.com/CPAN/authors/id/KGB/%{nams1}-%{nams2}-%{version}.tar.bz2
Patch0:		ExtUtils-F77-1.14-no-usrlib.patch.bz2
Patch1:		ExtUtils-F77-1.14-gfortran.patch.bz2
License:	GPL
Group:		Development/Perl
BuildRequires:	gcc-gfortran perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	gcc-gfortran
BuildArch:	i586

%description
Simple interface to F77 libs.  Used to be in perl-PDL, but isn't anymore.

This module tries to figure out how to link C programs with
Fortran subroutines on your system. Basically one must add a list
of Fortran runtime libraries. The problem is their location
and name varies with each OS/compiler combination!

%prep
%setup -n %{nams1}-%{nams2}-%{version} -q
%patch0 -p1 -b .no-usrlib
%patch1 -p0 -b .gfortran

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/*
%exclude %{_mandir}/*/*
%doc README CHANGES

%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

